/* Make the page take full height */
html,body{min-height: calc(100% - var(--wp-admin--admin-bar--height, 0px))}

/* Main wrapper */
body > .wp-site-blocks {
    min-height:calc(100vh - var(--wp-admin--admin-bar--height, 0px));
    display:flex;
    flex-direction:column;
}

/* Header */
.bcg-header{
  position:sticky;
  top:calc(0px + var(--wp-admin--admin-bar--height, 0px));
  z-index:1;
}

/* Main content */
.wp-site-blocks > main {
    flex:1 0 auto;
    padding:0 1rem;
}

.wp-site-blocks > main > div {
    margin:auto 0;
    width:100%;
}

/* The admin bar gets an absolute positionning here: */
@media only screen and (max-width:600px){
    .bcg-header{top:0}
}